curl --request POST \
--url https://api.aisa.one/apis/v1/duffel/flights/offer-requests/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"passengers": [
{
"family_name": "Earhart",
"given_name": "Amelia",
"loyalty_programme_accounts": [
{
"account_number": "12901014",
"airline_iata_code": "BA"
}
],
"type": "adult"
},
{
"age": 14
},
{
"fare_type": "student"
},
{
"age": 5,
"fare_type": "contract_bulk_child"
}
],
"slices": [
{
"departure_date": "2020-04-24",
"destination": "JFK",
"origin": "LHR",
"arrival_time": {
"from": "09:45",
"to": "17:00"
},
"departure_time": {
"from": "09:45",
"to": "17:00"
}
}
],
"airline_credit_ids": [
"acd_00009hthhsUZ8W4LxQgkjo",
"acd_0000thhsUZ8W4LxQgkjo00"
],
"cabin_class": "economy",
"include_split_ticket": true,
"max_connections": 0,
"private_fares": {
"QF": [
{
"corporate_code": "FLX53",
"tracking_reference": "ABN:2345678"
}
],
"UA": [
{
"corporate_code": "1234",
"tour_code": "578DFL"
}
]
}
}
}
'import requests
url = "https://api.aisa.one/apis/v1/duffel/flights/offer-requests/create"
payload = { "data": {
"passengers": [
{
"family_name": "Earhart",
"given_name": "Amelia",
"loyalty_programme_accounts": [
{
"account_number": "12901014",
"airline_iata_code": "BA"
}
],
"type": "adult"
},
{ "age": 14 },
{ "fare_type": "student" },
{
"age": 5,
"fare_type": "contract_bulk_child"
}
],
"slices": [
{
"departure_date": "2020-04-24",
"destination": "JFK",
"origin": "LHR",
"arrival_time": {
"from": "09:45",
"to": "17:00"
},
"departure_time": {
"from": "09:45",
"to": "17:00"
}
}
],
"airline_credit_ids": ["acd_00009hthhsUZ8W4LxQgkjo", "acd_0000thhsUZ8W4LxQgkjo00"],
"cabin_class": "economy",
"include_split_ticket": True,
"max_connections": 0,
"private_fares": {
"QF": [
{
"corporate_code": "FLX53",
"tracking_reference": "ABN:2345678"
}
],
"UA": [
{
"corporate_code": "1234",
"tour_code": "578DFL"
}
]
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
passengers: [
{
family_name: 'Earhart',
given_name: 'Amelia',
loyalty_programme_accounts: [{account_number: '12901014', airline_iata_code: 'BA'}],
type: 'adult'
},
{age: 14},
{fare_type: 'student'},
{age: 5, fare_type: 'contract_bulk_child'}
],
slices: [
{
departure_date: '2020-04-24',
destination: 'JFK',
origin: 'LHR',
arrival_time: {from: '09:45', to: '17:00'},
departure_time: {from: '09:45', to: '17:00'}
}
],
airline_credit_ids: ['acd_00009hthhsUZ8W4LxQgkjo', 'acd_0000thhsUZ8W4LxQgkjo00'],
cabin_class: 'economy',
include_split_ticket: true,
max_connections: 0,
private_fares: {
QF: [{corporate_code: 'FLX53', tracking_reference: 'ABN:2345678'}],
UA: [{corporate_code: '1234', tour_code: '578DFL'}]
}
}
})
};
fetch('https://api.aisa.one/apis/v1/duffel/flights/offer-requests/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "orq_0000BAzrX1jsN0lVbavyvg",
"live_mode": true,
"cabin_class": "<string>",
"slices": [
{
"origin": "<string>",
"destination": "<string>",
"departure_date": "2023-12-25"
}
],
"passengers": [
{
"id": "pas_0000BAzrX1jsN0lVbavyvi",
"type": "<string>"
}
],
"offers": [
{
"id": "off_0000BAzrX1wdbYyQFAuAoz",
"total_amount": "70.48",
"total_currency": "USD",
"expires_at": "2023-11-07T05:31:56Z",
"passenger_ids": [
"<string>"
],
"slices": [
{
"id": "<string>",
"segments": [
{
"id": "<string>",
"origin": {
"id": "<string>",
"name": "<string>",
"iata_code": "<string>",
"city_name": "<string>"
},
"destination": {
"id": "<string>",
"name": "<string>",
"iata_code": "<string>",
"city_name": "<string>"
},
"departing_at": "2023-11-07T05:31:56Z",
"arriving_at": "2023-11-07T05:31:56Z",
"flight_number": "<string>",
"operating_carrier": {
"name": "<string>",
"iata_code": "<string>"
}
}
]
}
]
}
]
}
}Create Flight Search
Search flights: submit slices and passengers, returns offers
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
查询参数
When set to true, the offer request resource returned will include all the offers returned by the airlines.
If set to false, the offer request resource won't include any offers. To retrieve the associated offers later, use the List Offers endpoint, specifying the offer_request_id. You should use this option if you want to take advantage of the pagination, sorting and filtering that the List Offers endpoint provides.
false
The maximum amount of time in milliseconds to wait for each airline search to complete. This timeout applies to the response time of the call to the airline and includes some additional overhead added by Duffel.
Value should be between 2 seconds and 60 seconds. Any values outside the range will be ignored and the default supplier_timeout will be used.
If a value is set, the response will only include offers from airline searches that completed within the given time.
If a value is not set, the response will only include offers from airline searches that completed within the default supplier_timeout value of 20 seconds.
We recommend setting supplier_timeout lower than the timeout on the HTTP request you send to Duffel API as that will allow us to respond with the offers we received before your request times out with an empty response.
10000
The format of the response. When set to offers (the default), the response includes a flat list of offers.
When set to itineraries, offers are grouped into a hierarchical structure of slices, itineraries, and brands,
with shared data (airlines, places, aircraft) in top-level reference maps.
offers, itineraries 请求体
Show child attributes
Show child attributes
响应
成功响应